const { i18n } = require('./next-i18next.config.js');

module.exports = {
  i18n, // Solo se declara una vez

  webpack(config) {
    config.module.rules.push({
      test: /\.svg$/,
      use: [
        {
          loader: '@svgr/webpack',
          options: {
            icon: true,
            replaceAttrValues: { '#000': '{props.color}' },
            svgProps: { fill: 'currentColor' }
          }
        }
      ]
    });

    return config;
  }
};
